aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2016-05-27 13:55:55 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2016-05-27 13:55:55 -0700
commit69b94063ec91bddce79573c5b776c05efece51fd (patch)
treea743f7ca59c3002e7a1cca19988e0729d89baf85 /scripts
parentcatalyst-auto: datestamp tmpdir for ease of debug. (diff)
downloadreleng-69b94063ec91bddce79573c5b776c05efece51fd.tar.gz
releng-69b94063ec91bddce79573c5b776c05efece51fd.tar.bz2
releng-69b94063ec91bddce79573c5b776c05efece51fd.zip
emerge must use repos.conf now, instead of PORTDIR.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/update_auto_tree14
-rwxr-xr-xscripts/update_official_tree14
-rwxr-xr-xscripts/update_snapshot_tree14
3 files changed, 39 insertions, 3 deletions
diff --git a/scripts/update_auto_tree b/scripts/update_auto_tree
index 08909e72..a68d561d 100755
--- a/scripts/update_auto_tree
+++ b/scripts/update_auto_tree
@@ -1,2 +1,14 @@
#!/bin/bash
-PORTDIR="/release/trees/portage-auto/" FEATURES="$FEATURES -news" emerge --sync -q
+PORTDIR="/release/trees/portage-auto/"
+TMPREPO=$(mktemp)
+trap "rm -f $TMPREPO" EXIT
+cat >$f <<EOF
+[DEFAULT]
+main-repo = gentoo
+
+[gentoo]
+location = $PORTDIR
+sync-type = rsync
+sync-uri = rsync://rsync.gentoo.org/gentoo-portage
+EOF
+PORTAGE_REPOSITORIES="$(cat $TMPREPO)" FEATURES="$FEATURES -news" emerge --sync -q
diff --git a/scripts/update_official_tree b/scripts/update_official_tree
index 250e9056..3424cb64 100755
--- a/scripts/update_official_tree
+++ b/scripts/update_official_tree
@@ -1,2 +1,14 @@
#!/bin/bash
-PORTDIR="/release/trees/portage-official/" emerge --sync
+PORTDIR="/release/trees/portage-official/"
+TMPREPO=$(mktemp)
+trap "rm -f $TMPREPO" EXIT
+cat >$f <<EOF
+[DEFAULT]
+main-repo = gentoo
+
+[gentoo]
+location = $PORTDIR
+sync-type = rsync
+sync-uri = rsync://rsync.gentoo.org/gentoo-portage
+EOF
+PORTAGE_REPOSITORIES="$(cat $TMPREPO)" FEATURES="$FEATURES -news" emerge --sync -q
diff --git a/scripts/update_snapshot_tree b/scripts/update_snapshot_tree
index f64742dc..3a5284ad 100755
--- a/scripts/update_snapshot_tree
+++ b/scripts/update_snapshot_tree
@@ -1,2 +1,14 @@
#!/bin/bash
-PORTDIR="/release/trees/portage-snapshot/" emerge --sync
+PORTDIR="/release/trees/portage-snapshot/"
+TMPREPO=$(mktemp)
+trap "rm -f $TMPREPO" EXIT
+cat >$f <<EOF
+[DEFAULT]
+main-repo = gentoo
+
+[gentoo]
+location = $PORTDIR
+sync-type = rsync
+sync-uri = rsync://rsync.gentoo.org/gentoo-portage
+EOF
+PORTAGE_REPOSITORIES="$(cat $TMPREPO)" FEATURES="$FEATURES -news" emerge --sync -q